Loading...
Searching...
No Matches
COMPS_Object Struct Reference

`#include <comps_obj.h>`

## Data Fields

COMPS_RefC * | refc
COMPS_ObjectInfo * | obj_info

## Detailed Description

COMPS Object structure COMPS_Object is basic structure from which are derived concrete COMPS structure. Using COMPS Object as bootstrap of concrete object ensure eventuality of creating and destroying with reference counting, copying, comparing with other object, string representation

## Field Documentation

## obj_info

COMPS_ObjectInfo* COMPS_Object::obj_info

pointer to COMPS_ObjectInfo struct

## refc

COMPS_RefC* COMPS_Object::refc

reference counter pointer for COMPS_Object

The documentation for this struct was generated from the following file:

- comps_obj.h